// This may look like C code, but it is really -*- C++ -*-
#ifndef PIPERIODMAC_H
#define PIPERIODMAC_H

#include "periodic.h"
#include "LPeriodical.h"

class PIPeriodMac : public Periodic, public LPeriodical {
public:
  PIPeriodMac(int dt, UsPeriodicAction act=NULL, void * usp=NULL);
  ~PIPeriodMac();

  virtual void Start(int dt=-1);
  virtual void Stop();
  virtual void SpendTime(const EventRecord&);
protected:
  long mLastTick;
};

typedef PIPeriodMac PIPeriodic;

#endif
